Subject: Re: [PATCH RFC] diff --no-index: teach option to exclude files by pattern

From: Jacob Keller <[email-masked]>
Date: Thu, 15 May 2025 13:24:44 -0700

On 5/15/2025 11:09 AM, Junio C Hamano wrote:
> Jacob Keller <[email-masked]> writes:
> 
>> I guess the one weirdness is that pathspecs must come after the first
>> 2 arguments, since we need to find 2 paths first. But this matches the
>> way that treeish must come first in git diff-tree -r takes treeish and
>> then pathspecs, and you can't re-order them arbitrarily either.
>>
>> Does this sound like a reasonable extension to the existing 2 argument
>> form of git diff --no-index?
> 
> Absolutely.
> 
> Or you could even use "--" convention in the examples you would
> write in the documentation, even though you may not absolutely need
> it for the purpose of parsing the command line, to highlight the
> fact that two things to be compared is given and then with an
> optional pathspec after the two things, e.g.,
> 
>  $ git diff --no-index git-1.6.0 git-2.43.0 -- Documentation/
> 
> or something silly like that.
> 

Yea, I'll do that once I get a version with doc. I sent a v2 that works
ok, but I think I need some feedback before I fully polish it, since
there are a couple of hacks to get things working.

Thanks for the feedback!